<template>
  <Popup ref="popup" title="提醒详情" width="400px" :isCrud="false">
    <RemindPreview v-if="id" :id="id"/>
  </Popup>
</template>
<script>
import Popup from "@/components/Popup";
import RemindPreview from '@/components/RemindPreview'
export default {
  name: 'RemindPreviewPopup',
  components: {
    Popup,
    RemindPreview
  },
  data() {
    return {
      id: null,
    }
  },
  methods: {
    open(id) {
      this.id = id;
      this.$refs.popup.open()
    }
  },
}
</script>
